package com.huigou.uasp.builder.jsbutton;

import com.google.common.base.CaseFormat;
import com.huigou.uasp.builder.ButtonTypeInter;
import com.huigou.uasp.builder.vo.ButtonAttributeVO;
import com.huigou.uasp.builder.vo.SeleListCustomVO;
import com.huigou.uasp.util.Utils;
import java.util.ArrayList;
import java.util.List;

public class AddButtonResult implements ButtonTypeInter {
   public List<String> processOutResult(StringBuffer sb, ButtonAttributeVO btnAttr) {
      List<String> list = new ArrayList();
      sb.append(" function addHandler(){");
      sb.append("   UICtrl.showAjaxDialog({");
      sb.append("  title:'").append(btnAttr.getFormName()).append("',");
      if (btnAttr.getIsForm() == 1) {
         sb.append("  url: web_app.name +'/dataManage/addDataRecord.load',");
         sb.append("      param: {id:$('#id').val(),formNo:$('#formNo').val()},");
      } else {
         sb.append("  url: web_app.name +'/").append(Utils.toLowerCaseFirstOne(btnAttr.getEntityName())).append("/").append("load").append(Utils.toUpperCaseFirstOne(btnAttr.getEntityName())).append("Detail.load',");
         sb.append("      param: {id:$('#id').val()},");
      }

      sb.append("      width: 1000,");
      sb.append("      height:460,");
      sb.append("      init:function(){");
      sb.append("         initAdd").append(Utils.toUpperCaseFirstOne(btnAttr.getEntityName())).append("();");
      sb.append("      },");
      sb.append("     ok: doSave").append(Utils.toUpperCaseFirstOne(btnAttr.getEntityName())).append(",");
      sb.append("     close: onDialogCloseHandler ");
      sb.append(" });");
      sb.append("} ");
      sb.append(" ");
      sb.append("function initAdd").append(Utils.toUpperCaseFirstOne(btnAttr.getEntityName())).append("(){ ");
      boolean existCustomSelect = false;

      for(int i = 0; i < btnAttr.getDataSourceType().length; ++i) {
         if ("2".equals(btnAttr.getDataSourceType()[i])) {
            existCustomSelect = true;
            break;
         }
      }

      if (existCustomSelect) {
         SeleListCustomVO selectCustom = null;
         List<SeleListCustomVO> customLists = btnAttr.getSelectCustoms();

         for(int i = 0; i < btnAttr.getDataSourceType().length; ++i) {
            if ("2".equals(btnAttr.getDataSourceType()[i])) {
               String targetField = btnAttr.getFieldEns()[i];
               selectCustom = null;

               for(int u = 0; u < customLists.size(); ++u) {
                  if (btnAttr.getIsForm() == 1) {
                     if (i == ((SeleListCustomVO)customLists.get(u)).getTargetNum()) {
                        selectCustom = (SeleListCustomVO)customLists.get(u);
                        break;
                     }
                  } else if (targetField.equals(((SeleListCustomVO)customLists.get(u)).getTargetField())) {
                     selectCustom = (SeleListCustomVO)customLists.get(u);
                     break;
                  }
               }

               if (selectCustom != null) {
                  sb.append(" $('#").append(targetField).append("').searchbox({ ");
                  sb.append("\ttype : '").append(selectCustom.getSearchboxType()).append("', ");
                  sb.append("\tname : '").append(selectCustom.getSearchName()).append("', ");
                  if (btnAttr.getIsForm() == 1) {
                     sb.append("\tfrmType : '").append(selectCustom.getFormNo()).append("', ");
                  }

                  sb.append("\tgetParam : function() { ");
                  sb.append("\t\treturn { ");
                  String[] paramFields;
                  if (selectCustom.getCondiColumns() != null && !"".equals(selectCustom.getCondiColumns())) {
                     paramFields = selectCustom.getCondiColumns().split(",");

                     for(int x = 0; x < paramFields.length; ++x) {
                        sb.append("\t\t\t").append(paramFields[x]).append(":$('#").append(CaseFormat.LOWER_UNDERSCORE.to(CaseFormat.LOWER_CAMEL, paramFields[x])).append("').val()");
                        if (x < paramFields.length - 1) {
                           sb.append(",");
                        }

                        sb.append(" ");
                     }
                  }

                  int x;
                  String[] paramSourceFields;
                  if (selectCustom.getParamFields() != null && !"".equals(selectCustom.getParamFields())) {
                     if (selectCustom.getCondiColumns() != null && !"".equals(selectCustom.getCondiColumns())) {
                        sb.append("         ,");
                     }

                     paramFields = selectCustom.getParamFields().split(",");
                     paramSourceFields = new String[paramFields.length];
                     if (selectCustom.getParamSourceFields() != null && !"".equals(selectCustom.getParamSourceFields())) {
                        paramSourceFields = selectCustom.getParamSourceFields().split(",");
                     }

                     String paramSourceField = "";

                     for(x = 0; x < paramFields.length; ++x) {
                        sb.append("\t\t\t").append(paramFields[x]).append(":$('#");
                        if (btnAttr.getIsForm() == 1) {
                           String[] fields = selectCustom.getFieldEns();
                           paramSourceField = paramSourceFields[x];

                           for(int y = 0; y < fields.length; ++y) {
                              if (fields[y].equals(paramSourceFields[x])) {
                                 paramSourceField = "field" + y;
                                 break;
                              }
                           }
                        } else {
                           paramSourceField = paramSourceFields[x];
                        }

                        if (paramSourceFields.length > x) {
                           sb.append(paramSourceField);
                        } else {
                           sb.append(paramFields[x]);
                        }

                        sb.append("').val()");
                        if (x < paramFields.length - 1) {
                           sb.append(",");
                        }

                        sb.append(" ");
                     }
                  }

                  sb.append("\t\t}; ");
                  sb.append("\t}, ");
                  sb.append("\t\tback : { ");
                  if (selectCustom.getFieldCodes() != null && !"".equals(selectCustom.getFieldCodes())) {
                     paramFields = selectCustom.getFieldCodes().split(",");
                     paramSourceFields = selectCustom.getBackFields().split(",");
                     String[] fieldEns = selectCustom.getFieldEns();

                     for(x = 0; x < paramFields.length; ++x) {
                        if (paramSourceFields.length >= x + 1 && !"".equals(paramSourceFields[x])) {
                           sb.append("\t\t\t").append(paramFields[x]).append(":'#");
                           if (btnAttr.getIsForm() == 1) {
                              sb.append(this.getMappingFieldEn(fieldEns, paramSourceFields[x]));
                           } else {
                              sb.append(paramSourceFields[x]);
                           }

                           sb.append("'");
                           if (x < paramSourceFields.length - 1) {
                              sb.append(",");
                           }

                           sb.append(" ");
                        }
                     }
                  }

                  sb.append("\t\t}, ");
                  sb.append("\tonChange : function() { ");
                  sb.append("\t } ");
                  sb.append("\t}); ");
               }
            }
         }
      }

      if (btnAttr.getExistAttachment() == 1) {
         sb.append("   var _attbizid=$(\"#attbizid\").val();");
         sb.append("   $('#").append(Utils.toLowerCaseFirstOne(btnAttr.getEntityName())).append("List').fileList({bizId:_attbizid}); //�����ؼ���ʼ��");
      }

      sb.append("\t} ");
      sb.append(" ");
      sb.append("function doSave").append(Utils.toUpperCaseFirstOne(btnAttr.getEntityName())).append("(grid){");
      sb.append(" var _self = this;");
      sb.append("   var id = getId();");
      if (btnAttr.getIsForm() == 1) {
         sb.append("  var url= '/dataManage/saveDataRecord.ajax';");
         sb.append("  $('#dataRecordForm').ajaxSubmit({");
      } else {
         sb.append("   var url = '/").append(Utils.toLowerCaseFirstOne(btnAttr.getEntityName())).append("/save").append(Utils.toUpperCaseFirstOne(btnAttr.getEntityName())).append(".ajax';");
         sb.append("  $('#").append(Utils.toLowerCaseFirstOne(btnAttr.getEntityName())).append("Form').ajaxSubmit({");
      }

      sb.append("       url: web_app.name +url,");
      sb.append("       success: function (data) {");
      sb.append("           $(\"#id\").val(data);");
      sb.append("           if (grid&&grid!=\"\") {UICtrl.addGridRow(eval(grid),{id:data }  );}");
      sb.append("      \t  reload").append(Utils.toUpperCaseFirstOne(btnAttr.getEntityName())).append("Grid();");
      sb.append("       \t  refreshFlag = true;");
      sb.append("           _self.close();");
      sb.append("      }");
      sb.append("   });");
      sb.append(" }");
      sb.append("\t");
      list.add(sb.toString());
      return list;
   }

   private String getRealFieldEn(String[] fieldEns, String targetField) {
      String sequence = targetField.substring(5);
      String fieldEn = targetField;

      for(int x = 0; x < fieldEns.length; ++x) {
         if (x == Integer.parseInt(sequence)) {
            fieldEn = fieldEns[x];
            break;
         }
      }

      return fieldEn;
   }

   private String getMappingFieldEn(String[] fieldEns, String realfield) {
      String fieldEn = realfield;

      for(int x = 0; x < fieldEns.length; ++x) {
         if (realfield.equals(fieldEns[x])) {
            fieldEn = "field" + x;
            break;
         }
      }

      return fieldEn;
   }
}
