package com.huigou.uasp.builder.jsbutton;

import com.huigou.uasp.builder.ButtonTypeInter;
import com.huigou.uasp.builder.vo.ButtonAttributeVO;
import com.huigou.uasp.util.Utils;
import java.util.ArrayList;
import java.util.List;

public class DeleteButtonResult implements ButtonTypeInter {
   public List<String> processOutResult(StringBuffer sb, ButtonAttributeVO btnAttributes) {
      List<String> list = new ArrayList();
      sb.append(" function deleteHandler(){");
      sb.append("\t var row = UICtrl.checkSelectedRows(").append(Utils.toLowerCaseFirstOne(btnAttributes.getEntityName())).append("GridManager);");
      if (btnAttributes.getIsForm() == 1) {
         sb.append("\t  var action = '/dataManage/deleteDataRecord.ajax?formNo='+$(\"#formNo\").val();");
      } else {
         sb.append("\t    var action = \"/").append(Utils.toLowerCaseFirstOne(btnAttributes.getEntityName())).append("/delete").append(Utils.toUpperCaseFirstOne(btnAttributes.getEntityName())).append("s.ajax\";");
      }

      sb.append("\t    DataUtil.delSelectedRows({");
      sb.append("\t        action: action,");
      sb.append("\t        idFieldName: 'id',");
      sb.append("           gridManager : ").append(Utils.toLowerCaseFirstOne(btnAttributes.getEntityName())).append("GridManager,");
      sb.append("\t        onSuccess: ").append("reload").append(Utils.toUpperCaseFirstOne(btnAttributes.getEntityName())).append("Grid");
      sb.append("\t    });");
      sb.append(" }");
      list.add(sb.toString());
      return list;
   }
}
