package com.huigou.uasp.builder.pagetag;

import com.huigou.uasp.builder.FieldTagTypeInter;
import com.huigou.uasp.builder.vo.FieldAttributeVO;
import java.util.ArrayList;
import java.util.List;

public class TextAreaTagResult implements FieldTagTypeInter {
   public List<String> processOutResult(StringBuffer sb, FieldAttributeVO fieldAttributes) {
      List<String> list = new ArrayList();
      int areaLength = (fieldAttributes.getLabelCols() + fieldAttributes.getFieldCols()) * fieldAttributes.getCols() - fieldAttributes.getLabelCols();
      sb.append("   <x:textareaC name=\"").append(fieldAttributes.getFieldEn()).append("\" label=\"").append(fieldAttributes.getFieldCh()).append("\" rows=\"").append(fieldAttributes.getTextAreaRows()).append("\" maxLength=\"").append(fieldAttributes.getFieldLength()).append("\"").append(" labelCol=\"").append(fieldAttributes.getLabelCols()).append("\"").append(" fieldCol=\"").append(areaLength).append("\"").append(" required=\"").append(fieldAttributes.getMustinputField());
      if (!"".equals(fieldAttributes.getCssStyle())) {
         sb.append(" cssStyle=\"").append(fieldAttributes.getCssStyle()).append("\"");
      }

      sb.append("\"/>\r\n");
      fieldAttributes.setCurrCols(fieldAttributes.getCols());
      list.add(sb.toString());
      list.add(Integer.toString(fieldAttributes.getCurrCols()));
      return list;
   }
}
