package com.huigou.uasp.form.controller;

import com.huigou.uasp.form.pojo.Event;
import com.huigou.uasp.form.pojo.Options;
import com.huigou.uasp.form.pojo.Root;
import com.huigou.uasp.form.pojo.RootBean;
import com.huigou.uasp.form.pojo.TableColumns;
import com.huigou.uasp.form.pojo.analysis.AttributeTypeInter;
import com.huigou.uasp.form.pojo.analysis.GetRootDefault;
import com.huigou.uasp.form.pojo.analysis.GetRootEvent;
import com.huigou.uasp.form.pojo.analysis.GetRootFormColumns;
import com.huigou.uasp.form.pojo.analysis.GetRootOptions;
import com.huigou.uasp.form.pojo.analysis.GetRootRules;
import com.huigou.uasp.form.pojo.analysis.GetRootTableColumns;
import com.huigou.uasp.util.ReflectionUtil;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;
import net.sf.ezmorph.bean.MorphDynaBean;
import net.sf.json.JSONObject;
import org.apache.commons.beanutils.DynaProperty;

public class TestClass {
   public static void main(String[] args) {
      String ds = "{\"list\":[{\"type\":\"table\",\"icon\":\"icon-table\",\"options\":{\"defaultValue\":[],\"customClass\":\"\",\"labelWidth\":100,\"isLabelWidth\":false,\"hidden\":false,\"dataBind\":true,\"disabled\":false,\"required\":false,\"remoteFunc\":\"func_1592183795541\",\"remoteOption\":\"option_1592183795541\"},\"tableColumns\":[{\"type\":\"input\",\"icon\":\"icon-input\",\"options\":{\"width\":\"200px\",\"defaultValue\":\"\",\"required\":false,\"requiredMessage\":\"\",\"dataType\":\"\",\"dataTypeCheck\":false,\"dataTypeMessage\":\"\",\"pattern\":\"\",\"patternCheck\":false,\"patternMessage\":\"\",\"placeholder\":\"\",\"customClass\":\"\",\"disabled\":false,\"labelWidth\":100,\"isLabelWidth\":false,\"hidden\":false,\"dataBind\":true,\"showPassword\":false,\"remoteFunc\":\"func_1592183804092\",\"remoteOption\":\"option_1592183804092\",\"tableColumn\":true},\"event\":{\"blur\":\"\",\"change\":\"\"},\"name\":\"  预算编号\",\"novalid\":{},\"key\":\"1592183804092\",\"model\":\"input_1592183804092\",\"rules\":[]},{\"type\":\"input\",\"icon\":\"icon-input\",\"options\":{\"width\":\"200px\",\"defaultValue\":\"\",\"required\":false,\"requiredMessage\":\"\",\"dataType\":\"\",\"dataTypeCheck\":false,\"dataTypeMessage\":\"\",\"pattern\":\"\",\"patternCheck\":false,\"patternMessage\":\"\",\"placeholder\":\"\",\"customClass\":\"\",\"disabled\":false,\"labelWidth\":100,\"isLabelWidth\":false,\"hidden\":false,\"dataBind\":true,\"showPassword\":false,\"remoteFunc\":\"func_1592183830591\",\"remoteOption\":\"option_1592183830591\",\"tableColumn\":true},\"event\":{\"blur\":\"\",\"change\":\"\"},\"name\":\"预算名称\",\"novalid\":{},\"key\":\"1592183830591\",\"model\":\"input_1592183830591\",\"rules\":[]},{\"type\":\"input\",\"icon\":\"icon-input\",\"options\":{\"width\":\"200px\",\"defaultValue\":\"\",\"required\":false,\"requiredMessage\":\"\",\"dataType\":\"\",\"dataTypeCheck\":false,\"dataTypeMessage\":\"\",\"pattern\":\"\",\"patternCheck\":false,\"patternMessage\":\"\",\"placeholder\":\"\",\"customClass\":\"\",\"disabled\":false,\"labelWidth\":100,\"isLabelWidth\":false,\"hidden\":false,\"dataBind\":true,\"showPassword\":false,\"remoteFunc\":\"func_1592183846416\",\"remoteOption\":\"option_1592183846416\",\"tableColumn\":true},\"event\":{\"blur\":\"\",\"change\":\"\"},\"name\":\"数量\",\"novalid\":{},\"key\":\"1592183846416\",\"model\":\"input_1592183846416\",\"rules\":[]},{\"type\":\"input\",\"icon\":\"icon-input\",\"options\":{\"width\":\"200px\",\"defaultValue\":\"\",\"required\":false,\"requiredMessage\":\"\",\"dataType\":\"\",\"dataTypeCheck\":false,\"dataTypeMessage\":\"\",\"pattern\":\"\",\"patternCheck\":false,\"patternMessage\":\"\",\"placeholder\":\"\",\"customClass\":\"\",\"disabled\":false,\"labelWidth\":100,\"isLabelWidth\":false,\"hidden\":false,\"dataBind\":true,\"showPassword\":false,\"remoteFunc\":\"func_1592183862642\",\"remoteOption\":\"option_1592183862642\",\"tableColumn\":true},\"event\":{\"blur\":\"\",\"change\":\"\"},\"name\":\"金额\",\"novalid\":{},\"key\":\"1592183862642\",\"model\":\"input_1592183862642\",\"rules\":[]},{\"type\":\"input\",\"icon\":\"icon-input\",\"options\":{\"width\":\"200px\",\"defaultValue\":\"\",\"required\":false,\"requiredMessage\":\"\",\"dataType\":\"\",\"dataTypeCheck\":false,\"dataTypeMessage\":\"\",\"pattern\":\"\",\"patternCheck\":false,\"patternMessage\":\"\",\"placeholder\":\"\",\"customClass\":\"\",\"disabled\":false,\"labelWidth\":100,\"isLabelWidth\":false,\"hidden\":false,\"dataBind\":true,\"showPassword\":false,\"remoteFunc\":\"func_1592183959895\",\"remoteOption\":\"option_1592183959895\",\"tableColumn\":true},\"event\":{\"blur\":\"\",\"change\":\"\"},\"name\":\"规格型号\",\"novalid\":{},\"key\":\"1592183959895\",\"model\":\"规格型号\",\"rules\":[]}],\"name\":\"\",\"key\":\"1592183795541\",\"model\":\"table_1592183795541\",\"rules\":[]},{\"type\":\"grid\",\"icon\":\"icon-RectangleCopy\",\"columns\":[{\"span\":12,\"xs\":12,\"sm\":12,\"md\":12,\"lg\":12,\"xl\":12,\"list\":[{\"type\":\"input\",\"icon\":\"icon-input\",\"options\":{\"width\":\"100%\",\"defaultValue\":\"\",\"required\":false,\"requiredMessage\":\"\",\"dataType\":\"\",\"dataTypeCheck\":false,\"dataTypeMessage\":\"\",\"pattern\":\"\",\"patternCheck\":false,\"patternMessage\":\"\",\"placeholder\":\"\",\"customClass\":\"\",\"disabled\":false,\"labelWidth\":100,\"isLabelWidth\":false,\"hidden\":false,\"dataBind\":true,\"showPassword\":false,\"remoteFunc\":\"func_1592184027111\",\"remoteOption\":\"option_1592184027111\"},\"event\":{\"blur\":\"\",\"change\":\"\"},\"name\":\"项目名称\",\"novalid\":{},\"key\":\"1592184027111\",\"model\":\"input_1592184027111\",\"rules\":[]},{\"type\":\"date\",\"icon\":\"icon-date\",\"options\":{\"defaultValue\":\"\",\"readonly\":false,\"disabled\":false,\"editable\":true,\"clearable\":true,\"placeholder\":\"\",\"startPlaceholder\":\"\",\"endPlaceholder\":\"\",\"type\":\"date\",\"format\":\"yyyy-MM-dd\",\"timestamp\":false,\"required\":false,\"requiredMessage\":\"\",\"width\":\"\",\"customClass\":\"\",\"labelWidth\":100,\"isLabelWidth\":false,\"hidden\":false,\"dataBind\":true,\"remoteFunc\":\"func_1592184176333\",\"remoteOption\":\"option_1592184176333\"},\"event\":{\"change\":\"\"},\"name\":\"交付日期\",\"key\":\"1592185088088\",\"model\":\"date_1592184176333\",\"rules\":[],\"novalid\":{}},{\"type\":\"select\",\"icon\":\"icon-select\",\"options\":{\"defaultValue\":\"\",\"multiple\":false,\"disabled\":false,\"clearable\":false,\"placeholder\":\"\",\"required\":false,\"requiredMessage\":\"\",\"showLabel\":false,\"width\":\"\",\"options\":[{\"value\":\"Option 1\"},{\"value\":\"Option 2\"},{\"value\":\"Option 3\"}],\"remote\":false,\"remoteType\":\"dictionary\",\"dictionary\":\"\",\"filterable\":false,\"remoteOptions\":[],\"props\":{\"value\":\"value\",\"label\":\"label\"},\"list\":\"\",\"customClass\":\"\",\"labelWidth\":100,\"isLabelWidth\":false,\"hidden\":false,\"dataBind\":true,\"remoteFunc\":\"func_1592184096187\",\"remoteOption\":\"option_1592184096187\"},\"event\":{\"change\":\"\"},\"name\":\"采购类型\",\"key\":\"1592184216605\",\"model\":\"select_1592184096187\",\"rules\":[],\"novalid\":{}}]},{\"span\":12,\"xs\":12,\"sm\":12,\"md\":12,\"lg\":12,\"xl\":12,\"list\":[{\"type\":\"input\",\"icon\":\"icon-input\",\"options\":{\"width\":\"100%\",\"defaultValue\":\"\",\"required\":false,\"requiredMessage\":\"\",\"dataType\":\"\",\"dataTypeCheck\":false,\"dataTypeMessage\":\"\",\"pattern\":\"\",\"patternCheck\":false,\"patternMessage\":\"\",\"placeholder\":\"\",\"customClass\":\"\",\"disabled\":false,\"labelWidth\":100,\"isLabelWidth\":false,\"hidden\":false,\"dataBind\":true,\"showPassword\":false,\"remoteFunc\":\"func_1592184045106\",\"remoteOption\":\"option_1592184045106\"},\"event\":{\"blur\":\"\",\"change\":\"\"},\"name\":\"系统\",\"novalid\":{},\"key\":\"1592184045106\",\"model\":\"input_1592184045106\",\"rules\":[]}]}],\"options\":{\"gutter\":0,\"justify\":\"start\",\"align\":\"top\",\"customClass\":\"\",\"hidden\":false,\"flex\":true,\"responsive\":false,\"remoteFunc\":\"func_1592184014765\",\"remoteOption\":\"option_1592184014765\"},\"name\":\"栅格布局\",\"key\":\"1592184014765\",\"model\":\"grid_1592184014765\",\"rules\":[]}],\"config\":{\"labelWidth\":100,\"labelPosition\":\"right\",\"size\":\"small\",\"customClass\":\"\",\"ui\":\"element\",\"layout\":\"horizontal\",\"labelCol\":3,\"width\":\"100%\"}}";
      System.out.println("length==" + ds.length());
      String paras = "{\"list\":[{\"type\":\"table\",\"tablename\":\"SMS_ORDER_DETAIL\",\"icon\":\"icon-table\",\"options\":{\"defaultValue\":[],\"customClass\":\"\",\"labelWidth\":100,\"isLabelWidth\":false,\"hidden\":false,\"dataBind\":true,\"disabled\":false,\"required\":false,\"remoteFunc\":\"func_1592183795541\",\"remoteOption\":\"option_1592183795541\"},\"tableColumns\":[{\"type\":\"input\",\"icon\":\"icon-input\",\"options\":{\"width\":\"200px\",\"defaultValue\":\"\",\"required\":false,\"requiredMessage\":\"\",\"dataType\":\"\",\"dataTypeCheck\":false,\"dataTypeMessage\":\"\",\"pattern\":\"\",\"patternCheck\":false,\"patternMessage\":\"\",\"placeholder\":\"\",\"customClass\":\"\",\"disabled\":false,\"labelWidth\":100,\"isLabelWidth\":false,\"hidden\":false,\"dataBind\":true,\"showPassword\":false,\"remoteFunc\":\"func_1592183804092\",\"remoteOption\":\"option_1592183804092\",\"tableColumn\":true},\"event\":{\"blur\":\"\",\"change\":\"\"},\"name\":\"  预算编号\",\"novalid\":{},\"key\":\"1592183804092\",\"model\":\"input_1592183804092\",\"rules\":[]},{\"type\":\"input\",\"icon\":\"icon-input\",\"options\":{\"width\":\"200px\",\"defaultValue\":\"\",\"required\":false,\"requiredMessage\":\"\",\"dataType\":\"\",\"dataTypeCheck\":false,\"dataTypeMessage\":\"\",\"pattern\":\"\",\"patternCheck\":false,\"patternMessage\":\"\",\"placeholder\":\"\",\"customClass\":\"\",\"disabled\":false,\"labelWidth\":100,\"isLabelWidth\":false,\"hidden\":false,\"dataBind\":true,\"showPassword\":false,\"remoteFunc\":\"func_1592183830591\",\"remoteOption\":\"option_1592183830591\",\"tableColumn\":true},\"event\":{\"blur\":\"\",\"change\":\"\"},\"name\":\"预算名称\",\"novalid\":{},\"key\":\"1592183830591\",\"model\":\"input_1592183830591\",\"rules\":[]},{\"type\":\"input\",\"icon\":\"icon-input\",\"options\":{\"width\":\"200px\",\"defaultValue\":\"\",\"required\":false,\"requiredMessage\":\"\",\"dataType\":\"\",\"dataTypeCheck\":false,\"dataTypeMessage\":\"\",\"pattern\":\"\",\"patternCheck\":false,\"patternMessage\":\"\",\"placeholder\":\"\",\"customClass\":\"\",\"disabled\":false,\"labelWidth\":100,\"isLabelWidth\":false,\"hidden\":false,\"dataBind\":true,\"showPassword\":false,\"remoteFunc\":\"func_1592183846416\",\"remoteOption\":\"option_1592183846416\",\"tableColumn\":true},\"event\":{\"blur\":\"\",\"change\":\"\"},\"name\":\"数量\",\"novalid\":{},\"key\":\"1592183846416\",\"model\":\"input_1592183846416\",\"rules\":[]},{\"type\":\"input\",\"icon\":\"icon-input\",\"options\":{\"width\":\"200px\",\"defaultValue\":\"\",\"required\":false,\"requiredMessage\":\"\",\"dataType\":\"\",\"dataTypeCheck\":false,\"dataTypeMessage\":\"\",\"pattern\":\"\",\"patternCheck\":false,\"patternMessage\":\"\",\"placeholder\":\"\",\"customClass\":\"\",\"disabled\":false,\"labelWidth\":100,\"isLabelWidth\":false,\"hidden\":false,\"dataBind\":true,\"showPassword\":false,\"remoteFunc\":\"func_1592183862642\",\"remoteOption\":\"option_1592183862642\",\"tableColumn\":true},\"event\":{\"blur\":\"\",\"change\":\"\"},\"name\":\"金额\",\"novalid\":{},\"key\":\"1592183862642\",\"model\":\"input_1592183862642\",\"rules\":[]},{\"type\":\"input\",\"icon\":\"icon-input\",\"options\":{\"width\":\"200px\",\"defaultValue\":\"\",\"required\":false,\"requiredMessage\":\"\",\"dataType\":\"\",\"dataTypeCheck\":false,\"dataTypeMessage\":\"\",\"pattern\":\"\",\"patternCheck\":false,\"patternMessage\":\"\",\"placeholder\":\"\",\"customClass\":\"\",\"disabled\":false,\"labelWidth\":100,\"isLabelWidth\":false,\"hidden\":false,\"dataBind\":true,\"showPassword\":false,\"remoteFunc\":\"func_1592183959895\",\"remoteOption\":\"option_1592183959895\",\"tableColumn\":true},\"event\":{\"blur\":\"\",\"change\":\"\"},\"name\":\"规格型号\",\"novalid\":{},\"key\":\"1592183959895\",\"model\":\"规格型号\",\"rules\":[]}],\"name\":\"\",\"key\":\"1592183795541\",\"model\":\"table_1592183795541\",\"rules\":[]},{\"type\":\"grid\",\"icon\":\"icon-RectangleCopy\",\"columns\":[{\"span\":12,\"xs\":12,\"sm\":12,\"md\":12,\"lg\":12,\"xl\":12,\"list\":[{\"type\":\"input\",\"icon\":\"icon-input\",\"options\":{\"width\":\"100%\",\"defaultValue\":\"\",\"required\":false,\"requiredMessage\":\"\",\"dataType\":\"\",\"dataTypeCheck\":false,\"dataTypeMessage\":\"\",\"pattern\":\"\",\"patternCheck\":false,\"patternMessage\":\"\",\"placeholder\":\"\",\"customClass\":\"\",\"disabled\":false,\"labelWidth\":100,\"isLabelWidth\":false,\"hidden\":false,\"dataBind\":true,\"showPassword\":false,\"remoteFunc\":\"func_1592184027111\",\"remoteOption\":\"option_1592184027111\"},\"event\":{\"blur\":\"\",\"change\":\"\"},\"name\":\"项目名称\",\"novalid\":{},\"key\":\"1592184027111\",\"model\":\"input_1592184027111\",\"rules\":[]},{\"type\":\"date\",\"icon\":\"icon-date\",\"options\":{\"defaultValue\":\"\",\"readonly\":false,\"disabled\":false,\"editable\":true,\"clearable\":true,\"placeholder\":\"\",\"startPlaceholder\":\"\",\"endPlaceholder\":\"\",\"type\":\"date\",\"format\":\"yyyy-MM-dd\",\"timestamp\":false,\"required\":false,\"requiredMessage\":\"\",\"width\":\"\",\"customClass\":\"\",\"labelWidth\":100,\"isLabelWidth\":false,\"hidden\":false,\"dataBind\":true,\"remoteFunc\":\"func_1592184176333\",\"remoteOption\":\"option_1592184176333\"},\"event\":{\"change\":\"\"},\"name\":\"交付日期\",\"key\":\"1592185088088\",\"model\":\"date_1592184176333\",\"rules\":[],\"novalid\":{}},{\"type\":\"select\",\"icon\":\"icon-select\",\"options\":{\"defaultValue\":\"\",\"multiple\":false,\"disabled\":false,\"clearable\":false,\"placeholder\":\"\",\"required\":false,\"requiredMessage\":\"\",\"showLabel\":false,\"width\":\"\",\"options\":[{\"value\":\"Option 1\"},{\"value\":\"Option 2\"},{\"value\":\"Option 3\"}],\"remote\":false,\"remoteType\":\"dictionary\",\"dictionary\":\"\",\"filterable\":false,\"remoteOptions\":[],\"props\":{\"value\":\"value\",\"label\":\"label\"},\"list\":\"\",\"customClass\":\"\",\"labelWidth\":100,\"isLabelWidth\":false,\"hidden\":false,\"dataBind\":true,\"remoteFunc\":\"func_1592184096187\",\"remoteOption\":\"option_1592184096187\"},\"event\":{\"change\":\"\"},\"name\":\"采购类型\",\"key\":\"1592184216605\",\"model\":\"select_1592184096187\",\"rules\":[],\"novalid\":{}}]},{\"span\":12,\"xs\":12,\"sm\":12,\"md\":12,\"lg\":12,\"xl\":12,\"list\":[{\"type\":\"input\",\"icon\":\"icon-input\",\"options\":{\"width\":\"100%\",\"defaultValue\":\"\",\"required\":false,\"requiredMessage\":\"\",\"dataType\":\"\",\"dataTypeCheck\":false,\"dataTypeMessage\":\"\",\"pattern\":\"\",\"patternCheck\":false,\"patternMessage\":\"\",\"placeholder\":\"\",\"customClass\":\"\",\"disabled\":false,\"labelWidth\":100,\"isLabelWidth\":false,\"hidden\":false,\"dataBind\":true,\"showPassword\":false,\"remoteFunc\":\"func_1592184045106\",\"remoteOption\":\"option_1592184045106\"},\"event\":{\"blur\":\"\",\"change\":\"\"},\"name\":\"系统\",\"novalid\":{},\"key\":\"1592184045106\",\"model\":\"input_1592184045106\",\"rules\":[]}]}],\"options\":{\"gutter\":0,\"justify\":\"start\",\"align\":\"top\",\"customClass\":\"\",\"hidden\":false,\"flex\":true,\"responsive\":false,\"remoteFunc\":\"func_1592184014765\",\"remoteOption\":\"option_1592184014765\"},\"name\":\"栅格布局\",\"key\":\"1592184014765\",\"model\":\"grid_1592184014765\",\"rules\":[]},{\"type\":\"input\",\"icon\":\"icon-input\",\"options\":{\"width\":\"30%\",\"defaultValue\":\"\",\"required\":false,\"requiredMessage\":\"\",\"dataType\":\"\",\"dataTypeCheck\":false,\"dataTypeMessage\":\"\",\"pattern\":\"\",\"patternCheck\":false,\"patternMessage\":\"\",\"placeholder\":\"\",\"customClass\":\"\",\"disabled\":false,\"labelWidth\":100,\"isLabelWidth\":false,\"hidden\":false,\"dataBind\":true,\"showPassword\":false,\"remoteFunc\":\"func_1592296098724\",\"remoteOption\":\"option_1592296098724\"},\"event\":{\"blur\":\"\",\"change\":\"\"},\"name\":\"单行文本\",\"key\":\"1592296098724\",\"model\":\"input_1592296098724\",\"rules\":[]},{\"type\":\"textarea\",\"icon\":\"icon-diy-com-textarea\",\"options\":{\"width\":\"30%\",\"defaultValue\":\"\",\"required\":false,\"requiredMessage\":\"\",\"disabled\":false,\"pattern\":\"\",\"patternMessage\":\"\",\"placeholder\":\"\",\"customClass\":\"\",\"labelWidth\":100,\"isLabelWidth\":false,\"hidden\":false,\"dataBind\":true,\"remoteFunc\":\"func_1592296110884\",\"remoteOption\":\"option_1592296110884\"},\"event\":{\"blur\":\"\",\"change\":\"\"},\"name\":\"多行文本\",\"key\":\"1592296110884\",\"model\":\"textarea_1592296110884\",\"rules\":[]}],\"config\":{\"labelWidth\":100,\"labelPosition\":\"right\",\"size\":\"small\",\"customClass\":\"\",\"ui\":\"element\",\"layout\":\"horizontal\",\"labelCol\":3,\"width\":\"100%\"}}";
      JSONObject jsonObject = JSONObject.fromObject(paras);
      RootBean resultInfo = (RootBean)JSONObject.toBean(jsonObject, RootBean.class);
      System.out.println("====================");
      List<?> dataList = resultInfo.getList();
      MorphDynaBean mbean = null;
      List<Root> rootList = new ArrayList();
      Root root = null;
      DynaProperty[] dynaProperties = null;
      List<TableColumns> tableColumnsList = null;

      for(int i = 0; i < dataList.size(); ++i) {
         mbean = (MorphDynaBean)dataList.get(i);
         tableColumnsList = new ArrayList();
         root = new Root();
         dynaProperties = mbean.getDynaClass().getDynaProperties();

         for(int j = 0; j < dynaProperties.length; ++j) {
            String attrName = dynaProperties[j].getName();
            getAttrNameType(attrName).getRootByAttrName(attrName, root, mbean, tableColumnsList);
         }

         rootList.add(root);
      }

      System.out.println("=-==end======---");
   }

   private static List<TableColumns> getTableColumnsBeans(MorphDynaBean mbean, String objectName) {
      TableColumns object = null;
      List<TableColumns> tableColumnsList = new ArrayList();
      new TableColumns();

      try {
         String var4 = Thread.currentThread().getContextClassLoader().getResource("").getPath();
      } catch (Exception var11) {
         var11.printStackTrace();
      }

      List<MorphDynaBean> tabbeans = (List)mbean.get(objectName);
      DynaProperty[] tabdynaProperties = null;
      Object attrVal = null;
      String attrName = "";
      Iterator var9 = tabbeans.iterator();

      while(var9.hasNext()) {
         MorphDynaBean tabbean = (MorphDynaBean)var9.next();
         object = new TableColumns();
         tabdynaProperties = tabbean.getDynaClass().getDynaProperties();

         for(int x = 0; x < tabdynaProperties.length; ++x) {
            attrName = tabdynaProperties[x].getName();
            attrVal = tabbean.get(attrName);
            if (attrVal != null && !"null".equals(attrVal.toString().trim())) {
               System.out.println("tableColumns===" + attrName + ":=" + attrVal);
               object = (TableColumns)composizeObject(object, tabbean, attrName, attrVal);
            }
         }

         tableColumnsList.add(object);
      }

      return tableColumnsList;
   }

   private static Object composizeObject(Object object, MorphDynaBean bean, String attrName, Object attrVal) {
      MorphDynaBean eventbean;
      if ("event".equals(attrName)) {
         eventbean = (MorphDynaBean)bean.get(attrName);
         Event event = new Event();
         event = (Event)getEndBean(event, eventbean, attrName);
         ((TableColumns)object).setEvent(event);
      } else if ("options".equals(attrName)) {
         eventbean = (MorphDynaBean)bean.get(attrName);
         Options options = new Options();
         options = (Options)getEndBean(options, eventbean, attrName);
         ((TableColumns)object).setOptions(options);
      } else if (!"novalid".equals(attrName) && !"rules".equals(attrName) && ReflectionUtil.getSetMethod(object.getClass(), attrName) != null) {
         ReflectionUtil.invokeSet(object, attrName, attrVal);
      }

      return object;
   }

   private static List<TableColumns> getGridColumnBeans(MorphDynaBean mbean, String objectName) {
      TableColumns object = null;
      List<TableColumns> tableColumnsList = new ArrayList();
      new TableColumns();
      List<MorphDynaBean> tabbeans = (List)mbean.get(objectName);
      DynaProperty[] tabdynaProperties = null;
      DynaProperty[] coldynaProperties = null;
      Object attrVal = null;
      String attrName = "";
      Iterator var10 = tabbeans.iterator();

      while(var10.hasNext()) {
         MorphDynaBean tabbean = (MorphDynaBean)var10.next();
         tabdynaProperties = tabbean.getDynaClass().getDynaProperties();

         for(int x = 0; x < tabdynaProperties.length; ++x) {
            attrName = tabdynaProperties[x].getName();
            attrVal = tabbean.get(attrName);
            if (attrVal != null && !"null".equals(attrVal.toString().trim())) {
               System.out.println("GridColumns===" + attrName + ":=" + attrVal);
               if ("list".equals(attrName)) {
                  List<MorphDynaBean> colbeans = (List)tabbean.get(attrName);
                  System.out.println("GridColumns===");
                  Iterator var14 = colbeans.iterator();

                  while(var14.hasNext()) {
                     MorphDynaBean colbean = (MorphDynaBean)var14.next();
                     object = new TableColumns();
                     coldynaProperties = colbean.getDynaClass().getDynaProperties();

                     for(int y = 0; y < coldynaProperties.length; ++y) {
                        attrName = coldynaProperties[y].getName();
                        attrVal = colbean.get(attrName);
                        System.out.println("GridColumns===" + attrName + ":----=" + attrVal);
                        if ("event".equals(attrName)) {
                           System.out.println("99999999999");
                        }

                        object = (TableColumns)composizeObject(object, colbean, attrName, attrVal);
                     }

                     tableColumnsList.add(object);
                  }
               }
            }
         }
      }

      return tableColumnsList;
   }

   private static Object getEndBean(Object object, MorphDynaBean bean, String attrName) {
      Object attrVal = null;
      DynaProperty[] tabdynaProperties = bean.getDynaClass().getDynaProperties();

      for(int e = 0; e < tabdynaProperties.length; ++e) {
         attrName = tabdynaProperties[e].getName();
         attrVal = bean.get(attrName);
         if (attrVal != null && !"null".equals(attrVal.toString().trim()) && ReflectionUtil.getSetMethod(object.getClass(), attrName) != null) {
            System.out.println("attrName:==" + attrName);
            if ("defaultValue".equals(attrName)) {
               System.out.println("========s");
            } else {
               ReflectionUtil.invokeSet(object, attrName, attrVal);
            }
         }
      }

      return object;
   }

   public static AttributeTypeInter getAttrNameType(String attrName) {
      AttributeTypeInter inter = null;
      switch(attrName.hashCode()) {
      case -1882345425:
         if (attrName.equals("tableColumns")) {
            inter = new GetRootTableColumns();
            return (AttributeTypeInter)inter;
         }
         break;
      case -1249474914:
         if (attrName.equals("options")) {
            inter = new GetRootOptions();
            return (AttributeTypeInter)inter;
         }
         break;
      case 96891546:
         if (attrName.equals("event")) {
            inter = new GetRootEvent();
            return (AttributeTypeInter)inter;
         }
         break;
      case 108873975:
         if (attrName.equals("rules")) {
            inter = new GetRootRules();
            return (AttributeTypeInter)inter;
         }
         break;
      case 949721053:
         if (attrName.equals("columns")) {
            inter = new GetRootFormColumns();
            return (AttributeTypeInter)inter;
         }
      }

      inter = new GetRootDefault();
      return (AttributeTypeInter)inter;
   }
}
