package com.huigou.uasp.form.domain.model;

import com.huigou.data.domain.listener.CreatorAndModifierListener;
import com.huigou.data.domain.model.AbstractEntity;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.EntityListeners;
import javax.persistence.Table;

@Entity
@Table(
   name = "SAF_FORM_PARAMETER"
)
@EntityListeners({CreatorAndModifierListener.class})
public class FormParameter extends AbstractEntity {
   private static final long serialVersionUID = 1L;
   @Column(
      name = "FORM_NO",
      length = 100
   )
   private String formNo;
   @Column(
      name = "parm_type",
      length = 10
   )
   private Integer parmType;
   @Column(
      name = "parm_name",
      length = 100
   )
   private String parmName;
   @Column(
      name = "parm_code",
      length = 100
   )
   private String parmCode;
   @Column(
      name = "parm_vals",
      length = 3000
   )
   private String parmVals;
   @Column(
      name = "status",
      length = 10
   )
   private Integer status;
   @Column(
      name = "remark",
      length = 1000
   )
   private String remark;

   public String getRemark() {
      return this.remark;
   }

   public void setRemark(String remark) {
      this.remark = remark;
   }

   public String getFormNo() {
      return this.formNo;
   }

   public void setFormNo(String formNo) {
      this.formNo = formNo;
   }

   public Integer getParmType() {
      return this.parmType;
   }

   public void setParmType(Integer parmType) {
      this.parmType = parmType;
   }

   public String getParmName() {
      return this.parmName;
   }

   public void setParmName(String parmName) {
      this.parmName = parmName;
   }

   public String getParmCode() {
      return this.parmCode;
   }

   public void setParmCode(String parmCode) {
      this.parmCode = parmCode;
   }

   public String getParmVals() {
      return this.parmVals;
   }

   public void setParmVals(String parmVals) {
      this.parmVals = parmVals;
   }

   public Integer getStatus() {
      return this.status;
   }

   public void setStatus(Integer status) {
      this.status = status;
   }
}
