package com.huigou.uasp.form.domain.model;

import com.huigou.data.domain.model.AbstractEntity;
import java.util.Date;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "SAF_FORM_SEARCH_SQL"
)
public class FormSearchSql extends AbstractEntity {
   private static final long serialVersionUID = 1L;
   @Column(
      name = "table_name",
      length = 128
   )
   private String tableName;
   @Column(
      name = "search_name",
      length = 32
   )
   private String searchName;
   @Column(
      name = "search_desc",
      length = 100
   )
   private String searchDesc;
   @Column(
      name = "searchbox_type",
      length = 32
   )
   private String searchboxType;
   @Column(
      name = "target_field",
      length = 32
   )
   private String targetField;
   @Column(
      name = "field_names",
      length = 1000
   )
   private String fieldNames;
   @Column(
      name = "field_codes",
      length = 1000
   )
   private String fieldCodes;
   @Column(
      name = "field_types",
      length = 1000
   )
   private String fieldTypes;
   @Column(
      name = "field_widths",
      length = 1000
   )
   private String fieldWidths;
   @Column(
      name = "condi_columns",
      length = 1000
   )
   private String condiColumns;
   @Column(
      name = "condi_names",
      length = 1000
   )
   private String condiNames;
   @Column(
      name = "condi_types",
      length = 1000
   )
   private String condiTypes;
   @Column(
      name = "condi_symbols",
      length = 1000
   )
   private String condiSymbols;
   @Column(
      name = "condi_alias",
      length = 1000
   )
   private String condiAlias;
   @Column(
      name = "orderby",
      length = 1000
   )
   private String orderby;
   @Column(
      name = "search_sql",
      length = 1000
   )
   private String searchSql;
   @Column(
      name = "back_fields",
      length = 1000
   )
   private String backFields;
   @Column(
      name = "param_fields",
      length = 1000
   )
   private String paramFields;
   @Column(
      name = "param_source_fields",
      length = 1000
   )
   private String paramSourceFields;
   @Column(
      name = "created_date",
      length = 20
   )
   private Date createdDate;
   @Column(
      name = "param_source_tables",
      length = 1000
   )
   private String paramSourceTables;
   @Column(
      name = "form_no",
      length = 100
   )
   private String formNo;
   @Column(
      name = "content",
      length = 3000
   )
   private String content;

   public String getTableName() {
      return this.tableName;
   }

   public void setTableName(String tableName) {
      this.tableName = tableName;
   }

   public String getSearchName() {
      return this.searchName;
   }

   public void setSearchName(String searchName) {
      this.searchName = searchName;
   }

   public String getSearchDesc() {
      return this.searchDesc;
   }

   public void setSearchDesc(String searchDesc) {
      this.searchDesc = searchDesc;
   }

   public String getSearchboxType() {
      return this.searchboxType;
   }

   public void setSearchboxType(String searchboxType) {
      this.searchboxType = searchboxType;
   }

   public String getTargetField() {
      return this.targetField;
   }

   public void setTargetField(String targetField) {
      this.targetField = targetField;
   }

   public String getFieldNames() {
      return this.fieldNames;
   }

   public void setFieldNames(String fieldNames) {
      this.fieldNames = fieldNames;
   }

   public String getFieldCodes() {
      return this.fieldCodes;
   }

   public void setFieldCodes(String fieldCodes) {
      this.fieldCodes = fieldCodes;
   }

   public String getFieldTypes() {
      return this.fieldTypes;
   }

   public void setFieldTypes(String fieldTypes) {
      this.fieldTypes = fieldTypes;
   }

   public String getFieldWidths() {
      return this.fieldWidths;
   }

   public void setFieldWidths(String fieldWidths) {
      this.fieldWidths = fieldWidths;
   }

   public String getCondiColumns() {
      return this.condiColumns;
   }

   public void setCondiColumns(String condiColumns) {
      this.condiColumns = condiColumns;
   }

   public String getCondiNames() {
      return this.condiNames;
   }

   public void setCondiNames(String condiNames) {
      this.condiNames = condiNames;
   }

   public String getCondiTypes() {
      return this.condiTypes;
   }

   public void setCondiTypes(String condiTypes) {
      this.condiTypes = condiTypes;
   }

   public String getCondiSymbols() {
      return this.condiSymbols;
   }

   public void setCondiSymbols(String condiSymbols) {
      this.condiSymbols = condiSymbols;
   }

   public String getCondiAlias() {
      return this.condiAlias;
   }

   public void setCondiAlias(String condiAlias) {
      this.condiAlias = condiAlias;
   }

   public String getOrderby() {
      return this.orderby;
   }

   public void setOrderby(String orderby) {
      this.orderby = orderby;
   }

   public String getSearchSql() {
      return this.searchSql;
   }

   public void setSearchSql(String searchSql) {
      this.searchSql = searchSql;
   }

   public String getBackFields() {
      return this.backFields;
   }

   public void setBackFields(String backFields) {
      this.backFields = backFields;
   }

   public String getParamFields() {
      return this.paramFields;
   }

   public void setParamFields(String paramFields) {
      this.paramFields = paramFields;
   }

   public String getParamSourceFields() {
      return this.paramSourceFields;
   }

   public void setParamSourceFields(String paramSourceFields) {
      this.paramSourceFields = paramSourceFields;
   }

   public Date getCreatedDate() {
      return this.createdDate;
   }

   public void setCreatedDate(Date createdDate) {
      this.createdDate = createdDate;
   }

   public String getParamSourceTables() {
      return this.paramSourceTables;
   }

   public void setParamSourceTables(String paramSourceTables) {
      this.paramSourceTables = paramSourceTables;
   }

   public String getFormNo() {
      return this.formNo;
   }

   public void setFormNo(String formNo) {
      this.formNo = formNo;
   }

   public String getContent() {
      return this.content;
   }

   public void setContent(String content) {
      this.content = content;
   }
}
