package com.huigou.uasp.form.domain.model;

import com.huigou.data.domain.model.AbstractEntity;
import com.huigou.data.domain.model.Creator;
import javax.persistence.Column;
import javax.persistence.Embedded;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "saf_form_tables"
)
public class FormTables extends AbstractEntity {
   private static final long serialVersionUID = 1L;
   @Column(
      name = "table_id",
      length = 32
   )
   private String tableId;
   @Column(
      name = "form_id",
      length = 32
   )
   private String formId;
   @Column(
      name = "table_name",
      length = 32
   )
   private String tableName;
   @Column(
      name = "table_type",
      length = 10
   )
   private Integer tableType;
   @Column(
      name = "status",
      length = 10
   )
   private Integer status;
   @Embedded
   private Creator creator;

   public String getTableId() {
      return this.tableId;
   }

   public void setTableId(String tableId) {
      this.tableId = tableId;
   }

   public Integer getStatus() {
      return this.status;
   }

   public void setStatus(Integer status) {
      this.status = status;
   }

   public Creator getCreator() {
      return this.creator;
   }

   public void setCreator(Creator creator) {
      this.creator = creator;
   }

   public String getFormId() {
      return this.formId;
   }

   public void setFormId(String formId) {
      this.formId = formId;
   }

   public String getTableName() {
      return this.tableName;
   }

   public void setTableName(String tableName) {
      this.tableName = tableName;
   }

   public Integer getTableType() {
      return this.tableType;
   }

   public void setTableType(Integer tableType) {
      this.tableType = tableType;
   }
}
