package com.huigou.uasp.form.domain.model;

import com.huigou.data.domain.listener.CreatorAndModifierListener;
import com.huigou.data.domain.model.AbstractEntity;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.EntityListeners;

@Entity
@EntityListeners({CreatorAndModifierListener.class})
public class PropertyDefines extends AbstractEntity implements Comparable<PropertyDefines> {
   private static final long serialVersionUID = 1L;
   @Column(
      name = "column_name"
   )
   private String columnName;
   @Column(
      name = "data_type"
   )
   private String dataType;
   @Column(
      name = "data_length"
   )
   private String dataLength;
   @Column(
      name = "comments"
   )
   private String comments;
   @Column(
      name = "column_id"
   )
   private String columnId;
   @Column(
      name = "nullable"
   )
   private String nullable;
   private String yesorno;
   private String listdisplayField;
   private String listdisplayType;
   private String listdisplayFieldName;
   private String xmControlType;
   private String fieldTag;
   private String validatorType;
   private String dataSourceType;
   private String dataSource;
   private String listdisplaySearchField;
   private String sequence;

   public String getColumnName() {
      return this.columnName;
   }

   public void setColumnName(String columnName) {
      this.columnName = columnName;
   }

   public String getDataType() {
      return this.dataType;
   }

   public void setDataType(String dataType) {
      this.dataType = dataType;
   }

   public String getDataLength() {
      return this.dataLength;
   }

   public void setDataLength(String dataLength) {
      this.dataLength = dataLength;
   }

   public String getComments() {
      return this.comments;
   }

   public void setComments(String comments) {
      this.comments = comments;
   }

   public String getColumnId() {
      return this.columnId;
   }

   public void setColumnId(String columnId) {
      this.columnId = columnId;
   }

   public String getNullable() {
      return this.nullable;
   }

   public void setNullable(String nullable) {
      this.nullable = nullable;
   }

   public String getYesorno() {
      return this.yesorno;
   }

   public void setYesorno(String yesorno) {
      this.yesorno = yesorno;
   }

   public String getListdisplayField() {
      return this.listdisplayField;
   }

   public void setListdisplayField(String listdisplayField) {
      this.listdisplayField = listdisplayField;
   }

   public String getXmControlType() {
      return this.xmControlType;
   }

   public void setXmControlType(String xmControlType) {
      this.xmControlType = xmControlType;
   }

   public String getValidatorType() {
      return this.validatorType;
   }

   public void setValidatorType(String validatorType) {
      this.validatorType = validatorType;
   }

   public String getFieldTag() {
      return this.fieldTag;
   }

   public void setFieldTag(String fieldTag) {
      this.fieldTag = fieldTag;
   }

   public String getDataSourceType() {
      return this.dataSourceType;
   }

   public void setDataSourceType(String dataSourceType) {
      this.dataSourceType = dataSourceType;
   }

   public String getDataSource() {
      return this.dataSource;
   }

   public void setDataSource(String dataSource) {
      this.dataSource = dataSource;
   }

   public String getSequence() {
      return this.sequence;
   }

   public void setSequence(String sequence) {
      this.sequence = sequence;
   }

   public String getListdisplayFieldName() {
      return this.listdisplayFieldName;
   }

   public void setListdisplayFieldName(String listdisplayFieldName) {
      this.listdisplayFieldName = listdisplayFieldName;
   }

   public String getListdisplayType() {
      return this.listdisplayType;
   }

   public void setListdisplayType(String listdisplayType) {
      this.listdisplayType = listdisplayType;
   }

   public String getListdisplaySearchField() {
      return this.listdisplaySearchField;
   }

   public void setListdisplaySearchField(String listdisplaySearchField) {
      this.listdisplaySearchField = listdisplaySearchField;
   }

   public int compareTo(PropertyDefines s) {
      return Integer.parseInt(!"".equals(this.sequence) ? this.sequence : "0") >= Integer.parseInt(!"".equals(s.getSequence()) ? s.getSequence() : "0") ? 1 : -1;
   }
}
