package com.huigou.uasp.form.model.ueform.field;

import com.huigou.uasp.util.Utils;

public class DatePicker extends FormField {
   private String now;

   public void setNow(String now) {
      this.now = now;
   }

   public String getNow() {
      return this.now;
   }

   public static DatePicker parseText(String text) {
      DatePicker t = (DatePicker)Utils.parseInputAttrsT(text, DatePicker.class);
      return t;
   }

   public String getEdit(String value) {
      String js = "<script>   $('[name=\"" + this.getName() + "\"]').datepicker({ language:\"zh-CN\", format:'yyyy-mm-dd',defaultDate:+0}); ";
      if (value == null && this.getNow() != null && this.getNow().equals("1")) {
         value = "today";
         js = js + " $('[name=\"" + this.getName() + "\"]').datepicker('setDate', new Date());";
      } else if (value != null) {
         js = js + " $('[name=\"" + this.getName() + "\"]').datepicker('setDate', '" + value + "');";
      }

      js = js + "</script>";
      String content = super.getEdit(value);
      content = content + js;
      return content;
   }
}
