package com.huigou.uasp.form.pojo.analysis;

import com.huigou.uasp.form.pojo.Event;
import com.huigou.uasp.form.pojo.Options;
import com.huigou.uasp.form.pojo.TableColumns;
import com.huigou.uasp.util.ReflectionUtil;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;
import net.sf.ezmorph.bean.MorphDynaBean;
import org.apache.commons.beanutils.DynaProperty;

public class PublicAnalysis {
   public static AttributeTypeInter getAttrNameType(String attrName) {
      AttributeTypeInter inter = null;
      switch(attrName.hashCode()) {
      case -1882345425:
         if (attrName.equals("tableColumns")) {
            inter = new GetRootTableColumns();
            return (AttributeTypeInter)inter;
         }
         break;
      case -1249474914:
         if (attrName.equals("options")) {
            inter = new GetRootOptions();
            return (AttributeTypeInter)inter;
         }
         break;
      case 96891546:
         if (attrName.equals("event")) {
            inter = new GetRootEvent();
            return (AttributeTypeInter)inter;
         }
         break;
      case 108873975:
         if (attrName.equals("rules")) {
            inter = new GetRootRules();
            return (AttributeTypeInter)inter;
         }
         break;
      case 949721053:
         if (attrName.equals("columns")) {
            inter = new GetRootFormColumns();
            return (AttributeTypeInter)inter;
         }
      }

      inter = new GetRootDefault();
      return (AttributeTypeInter)inter;
   }

   public static List<TableColumns> getTableColumnsBeans(MorphDynaBean mbean, String objectName) {
      TableColumns object = null;
      List<TableColumns> tableColumnsList = new ArrayList();
      new TableColumns();
      List<MorphDynaBean> tabbeans = (List)mbean.get(objectName);
      DynaProperty[] tabdynaProperties = null;
      Object attrVal = null;
      String attrName = "";
      Iterator var9 = tabbeans.iterator();

      while(var9.hasNext()) {
         MorphDynaBean tabbean = (MorphDynaBean)var9.next();
         object = new TableColumns();
         tabdynaProperties = tabbean.getDynaClass().getDynaProperties();

         for(int x = 0; x < tabdynaProperties.length; ++x) {
            attrName = tabdynaProperties[x].getName();
            attrVal = tabbean.get(attrName);
            if (attrVal != null && !"null".equals(attrVal.toString().trim())) {
               System.out.println("tableColumns===" + attrName + ":=" + attrVal);
               object = getTableColumnsByAttrName(attrName, tabbean, object, attrVal);
            }
         }

         tableColumnsList.add(object);
      }

      return tableColumnsList;
   }

   public static List<TableColumns> getGridColumnBeans(MorphDynaBean mbean, String objectName) {
      TableColumns object = null;
      List<TableColumns> tableColumnsList = new ArrayList();
      new TableColumns();
      List<MorphDynaBean> formbeans = (List)mbean.get(objectName);
      DynaProperty[] tabdynaProperties = null;
      DynaProperty[] coldynaProperties = null;
      List<MorphDynaBean> colbeans = null;
      Object attrVal = null;
      String attrName = "";
      Iterator var11 = formbeans.iterator();

      while(var11.hasNext()) {
         MorphDynaBean formbean = (MorphDynaBean)var11.next();
         tabdynaProperties = formbean.getDynaClass().getDynaProperties();

         for(int x = 0; x < tabdynaProperties.length; ++x) {
            attrName = tabdynaProperties[x].getName();
            attrVal = formbean.get(attrName);
            if (attrVal != null && !"null".equals(attrVal.toString().trim()) && "list".equals(attrName)) {
               colbeans = (List)formbean.get(attrName);
               Iterator var14 = colbeans.iterator();

               while(var14.hasNext()) {
                  MorphDynaBean colbean = (MorphDynaBean)var14.next();
                  object = new TableColumns();
                  coldynaProperties = colbean.getDynaClass().getDynaProperties();

                  for(int y = 0; y < coldynaProperties.length; ++y) {
                     attrName = coldynaProperties[y].getName();
                     attrVal = colbean.get(attrName);
                     object = getTableColumnsByAttrName(attrName, formbean, object, attrVal);
                  }

                  tableColumnsList.add(object);
               }
            }
         }
      }

      return tableColumnsList;
   }

   public static TableColumns getTableColumnsByAttrName(String attrName, MorphDynaBean bean, TableColumns tableColumn, Object attrVal) {
      switch(attrName.hashCode()) {
      case -1249474914:
         if (attrName.equals("options")) {
            Options options = new Options();
            options = (Options)getEndNodeBean(options, (MorphDynaBean)attrVal, attrName);
            tableColumn.setOptions(options);
            return tableColumn;
         }
         break;
      case 96891546:
         if (attrName.equals("event")) {
            Event event = new Event();
            event = (Event)getEndNodeBean(event, (MorphDynaBean)attrVal, attrName);
            tableColumn.setEvent(event);
            return tableColumn;
         }
         break;
      case 108873975:
         if (attrName.equals("rules")) {
            return tableColumn;
         }
         break;
      case 2130965211:
         if (attrName.equals("novalid")) {
            return tableColumn;
         }
      }

      if (ReflectionUtil.getSetMethod(tableColumn.getClass(), attrName) != null) {
         ReflectionUtil.invokeSet(tableColumn, attrName, attrVal);
      }

      return tableColumn;
   }

   public static Object getEndNodeBean(Object object, MorphDynaBean bean, String attrName) {
      Object attrVal = null;
      DynaProperty[] tabdynaProperties = bean.getDynaClass().getDynaProperties();

      for(int e = 0; e < tabdynaProperties.length; ++e) {
         attrName = tabdynaProperties[e].getName();
         attrVal = bean.get(attrName);
         if (attrVal != null && !"null".equals(attrVal.toString().trim()) && ReflectionUtil.getSetMethod(object.getClass(), attrName) != null) {
            if ("defaultValue".equals(attrName)) {
               System.out.println("========s");
            } else {
               ReflectionUtil.invokeSet(object, attrName, attrVal);
            }
         }
      }

      return object;
   }
}
