package com.huigou.uasp.form.repository;

import com.huigou.uasp.form.domain.model.FormTables;
import java.util.List;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;

public interface FormTablesRepository extends JpaRepository<FormTables, String> {
   List<FormTables> findByFormId(String var1);

   List<FormTables> findByTableName(String var1);

   @Modifying
   @Query("delete from FormTables u WHERE u.formId=?1 ")
   void deleteFormTables(String var1);
}
