package com.huigou.uasp.meta.domain.model;

import com.huigou.data.domain.model.AbstractEntity;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "MDM_META_DATA_DICT"
)
public class MetaDataDICT extends AbstractEntity {
   @Column(
      name = "classify_id",
      length = 32
   )
   private String classifyId;
   @Column(
      name = "meta_data_id",
      length = 32
   )
   private String metaDataId;
   @Column(
      name = "dict_name",
      length = 64
   )
   private String dictName;
   @Column(
      name = "dict_code",
      length = 32
   )
   private String dictCode;
   @Column(
      name = "remark",
      length = 1000
   )
   private String remark;
   @Column(
      name = "created_by_id",
      length = 100
   )
   private String createdById;
   @Column(
      name = "created_by_name",
      length = 100
   )
   private String createdByName;

   public String getClassifyId() {
      return this.classifyId;
   }

   public void setClassifyId(String classifyId) {
      this.classifyId = classifyId;
   }

   public String getMetaDataId() {
      return this.metaDataId;
   }

   public void setMetaDataId(String metaDataId) {
      this.metaDataId = metaDataId;
   }

   public String getDictName() {
      return this.dictName;
   }

   public void setDictName(String dictName) {
      this.dictName = dictName;
   }

   public String getDictCode() {
      return this.dictCode;
   }

   public void setDictCode(String dictCode) {
      this.dictCode = dictCode;
   }

   public String getRemark() {
      return this.remark;
   }

   public void setRemark(String remark) {
      this.remark = remark;
   }

   public String getCreatedById() {
      return this.createdById;
   }

   public void setCreatedById(String createdById) {
      this.createdById = createdById;
   }

   public String getCreatedByName() {
      return this.createdByName;
   }

   public void setCreatedByName(String createdByName) {
      this.createdByName = createdByName;
   }
}
