package com.huigou.uasp.meta.repository;

import com.huigou.uasp.meta.domain.model.BusinessType;
import java.util.List;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

@Repository
public interface BusinessTypeRepository extends JpaRepository<BusinessType, String> {
   @Query
   List<BusinessType> findById(String var1);

   @Query("select t from BusinessType t where t.parentId=?1")
   List<BusinessType> findByParentId(String var1);

   @Query("select t from BusinessType t where t.fullId like ?1%")
   List<BusinessType> findByFullId(String var1);
}
