package com.huigou.uasp.model.application;

import com.huigou.uasp.model.domain.query.DbTablesQueryRequest;
import java.util.List;
import java.util.Map;

public interface DbTablesApplication {
   Map<String, Object> queryDbTables(DbTablesQueryRequest var1);

   Map<String, Object> querySubDbTables(DbTablesQueryRequest var1);

   Map<String, Object> querySubDbTableFields(DbTablesQueryRequest var1);

   List<Map<String, Object>> queryDbTableColumns(DbTablesQueryRequest var1);

   Map<String, Object> queryUserTables(DbTablesQueryRequest var1);

   Map<String, Object> queryExistTableName(DbTablesQueryRequest var1);

   String saveUserTables(DbTablesQueryRequest var1, List<Object> var2);

   void deleteUserTables(List<String> var1);

   Map<String, Object> queryAlternativeMetaLists(DbTablesQueryRequest var1);

   List<Map<String, Object>> querySelectedMetaLists(DbTablesQueryRequest var1);

   Map<String, Object> publishToModelRecordTable(DbTablesQueryRequest var1);

   void deleteModelClassData(List<String> var1);
}
