package com.huigou.uasp.model.domain.model;

import com.huigou.data.domain.model.AbstractEntity;
import com.huigou.data.domain.model.Creator;
import javax.persistence.Column;
import javax.persistence.Embedded;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "SAF_TABLES_META"
)
public class TablesMeta extends AbstractEntity {
   private static final long serialVersionUID = 1L;
   @Column(
      name = "table_id",
      length = 32
   )
   private String tableId;
   @Column(
      name = "meta_id",
      length = 32
   )
   private String metaId;
   @Column(
      name = "field_code",
      length = 100
   )
   private String fieldCode;
   @Column(
      name = "nums",
      length = 10
   )
   private Integer nums;
   @Column(
      name = "status",
      length = 10
   )
   private Integer status;
   @Embedded
   private Creator creator;

   public String getTableId() {
      return this.tableId;
   }

   public void setTableId(String tableId) {
      this.tableId = tableId;
   }

   public String getMetaId() {
      return this.metaId;
   }

   public void setMetaId(String metaId) {
      this.metaId = metaId;
   }

   public String getFieldCode() {
      return this.fieldCode;
   }

   public void setFieldCode(String fieldCode) {
      this.fieldCode = fieldCode;
   }

   public Integer getNums() {
      return this.nums;
   }

   public void setNums(Integer nums) {
      this.nums = nums;
   }

   public Integer getStatus() {
      return this.status;
   }

   public void setStatus(Integer status) {
      this.status = status;
   }

   public Creator getCreator() {
      return this.creator;
   }

   public void setCreator(Creator creator) {
      this.creator = creator;
   }
}
