package com.huigou.uasp.model.repository;

import com.huigou.uasp.form.domain.model.FormAttribute;
import com.huigou.uasp.model.domain.model.DbTables;
import java.util.List;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;

public interface DbTablesRepository extends JpaRepository<DbTables, String> {
   List<DbTables> findByTableName(String var1);

   @Query("from DbTables s where  s.parentId=?1 ")
   List<FormAttribute> findByParentId(String var1);
}
