package com.huigou.uasp.builder.jsbutton;

import com.huigou.uasp.builder.ButtonTypeInter;
import com.huigou.uasp.builder.vo.ButtonAttributeVO;
import com.huigou.uasp.util.Utils;
import java.util.ArrayList;
import java.util.List;

public class EnableButtonResult implements ButtonTypeInter {
   public List<String> processOutResult(StringBuffer sb, ButtonAttributeVO btnAttributes) {
      List<String> list = new ArrayList();
      sb.append("//启用方法 ").append("\r\n");
      sb.append(" function enableHandler() {");
      sb.append("    var row = UICtrl.checkSelectedRows(").append(Utils.toLowerCaseFirstOne(btnAttributes.getEntityName())).append("GridManager);");
      sb.append("    if(row){ ");
      sb.append("\t   if(row.status==1){");
      sb.append("\t\t Public.tip(\"").append(btnAttributes.getFormName()).append("已经启用！").append("\");");
      sb.append("\t\t return false;");
      sb.append("\t   }else{");
      sb.append("\t\t changeStatus(row.id,1);");
      sb.append("\t\t Public.successTip(\"").append(btnAttributes.getFormName()).append("启用成功！").append("\");");
      sb.append("\t   }");
      sb.append("\t}");
      sb.append("   }");
      sb.append(" ");
      sb.append(" function changeStatus(id,status){");
      sb.append("\t $.post(web_app.name").append("+\"/").append(Utils.toLowerCaseFirstOne(btnAttributes.getEntityName())).append("/change").append(Utils.toUpperCaseFirstOne(btnAttributes.getEntityName())).append("Status.ajax\",{     id:id,status:status}      ,function(data){");
      sb.append("        reload").append(Utils.toUpperCaseFirstOne(btnAttributes.getEntityName())).append("Grid();");
      sb.append("\t });");
      sb.append("\t}");
      list.add(sb.toString());
      return list;
   }
}
