package com.huigou.uasp.builder.jsbutton;

import com.huigou.uasp.builder.ButtonTypeInter;
import com.huigou.uasp.builder.vo.ButtonAttributeVO;
import com.huigou.uasp.util.Utils;
import java.util.ArrayList;
import java.util.List;

public class EnableButtonRowResult implements ButtonTypeInter {
   public List<String> processOutResult(StringBuffer sb, ButtonAttributeVO btnAttr) {
      List<String> list = new ArrayList();
      sb.append("//启用方法 ").append("\r\n");
      sb.append(" function enableRow").append(Utils.toUpperCaseFirstOne(btnAttr.getEntityName())).append("() {");
      sb.append("    var row = UICtrl.checkSelectedRows(").append(Utils.toLowerCaseFirstOne(btnAttr.getEntityName())).append("GridManager);");
      sb.append("    if(row){ ");
      sb.append("\t   if(row.status==1){");
      sb.append("\t\t Public.tip(\"").append(btnAttr.getFormName()).append("已经启用！").append("\");");
      sb.append("\t\t return false;");
      sb.append("\t   }else{");
      sb.append("\t\t changeRowStatus(row.id,1);");
      sb.append("\t\t Public.successTip(\"").append(btnAttr.getFormName()).append("启用成功！").append("\");");
      sb.append("\t   }");
      sb.append("\t}");
      sb.append("   }");
      sb.append(" ");
      sb.append(" function changeRowStatus(id,status){");
      if (btnAttr.getIsForm() == 1) {
         sb.append("\t $.post(web_app.name").append("+\"/dataManage").append("/changeDataRecordDetailStatus.ajax\",{id:id,status:status");
      } else {
         sb.append("\t $.post(web_app.name").append("+\"/").append(btnAttr.getParentEntityName()).append("/changeDataRecordDetailStatus.ajax\",{id:id,status:status");
      }

      sb.append(",subTab:'").append(btnAttr.getEntityName()).append("'").append("}   ,function(data){");
      sb.append("        reload").append(Utils.toUpperCaseFirstOne(btnAttr.getEntityName())).append("Grid();");
      sb.append("\t });");
      sb.append("\t}");
      list.add(sb.toString());
      return list;
   }
}
