package com.huigou.uasp.builder.jsbutton;

import com.huigou.uasp.builder.ButtonTypeInter;
import com.huigou.uasp.builder.vo.ButtonAttributeVO;
import com.huigou.uasp.util.Utils;
import java.util.ArrayList;
import java.util.List;

public class UpdateButtonResult implements ButtonTypeInter {
   public List<String> processOutResult(StringBuffer sb, ButtonAttributeVO btnAttributes) {
      List<String> list = new ArrayList();
      sb.append("//编辑方法").append("\r\n");
      sb.append(" function updateHandler(){");
      sb.append("  var row = UICtrl.checkSelectedRows(").append(Utils.toLowerCaseFirstOne(btnAttributes.getEntityName())).append("GridManager);");
      sb.append("    if (row) {");
      sb.append("       doShowUpdateDialog(row.id);");
      sb.append("     }");
      sb.append(" }");
      sb.append(" ");
      sb.append("\tfunction doShowUpdateDialog(id) {");
      sb.append("\t    UICtrl.showAjaxDialog({");
      sb.append("\t        title: \"修改").append(btnAttributes.getFormName()).append("\",");
      if (btnAttributes.getIsForm() == 1) {
         sb.append("       url: web_app.name +'/dataManage/addDataRecord.load',");
         sb.append("\t        param: { id: id,formNo:$(\"#formNo\").val() },");
      } else {
         sb.append("\t\t    url: web_app.name + '/").append(Utils.toLowerCaseFirstOne(btnAttributes.getEntityName())).append("/load").append(Utils.toUpperCaseFirstOne(btnAttributes.getEntityName())).append("Detail.load',");
         sb.append("\t        param: { id: id },");
      }

      sb.append("\t        width: 900,");
      sb.append("            init:function(){");
      sb.append("              initAdd").append(Utils.toUpperCaseFirstOne(btnAttributes.getEntityName())).append("();");
      sb.append("            },");
      sb.append("\t        ok: doSave").append(Utils.toUpperCaseFirstOne(btnAttributes.getEntityName())).append(",");
      sb.append("\t        close: onDialogCloseHandler");
      sb.append("\t    });");
      sb.append(" }");
      sb.append(" ");
      list.add(sb.toString());
      return list;
   }
}
