package com.huigou.uasp.data.application;

import com.huigou.uasp.builder.vo.PubDataRecord;
import com.huigou.uasp.data.domain.query.DataRecordQueryRequest;
import java.util.List;
import java.util.Map;

public interface DataRecordApplication {
   PubDataRecord loadDataRecord(DataRecordQueryRequest var1);

   PubDataRecord loadDataRecordByAdded(DataRecordQueryRequest var1);

   List<PubDataRecord> saveDataRecord(DataRecordQueryRequest var1, List<Map<String, Object>> var2);

   Map<String, Object> queryDataRecord(DataRecordQueryRequest var1);

   void deleteDataRecord(DataRecordQueryRequest var1, List<String> var2);

   int queryIsExistTable(DataRecordQueryRequest var1);

   Map<String, Object> queryDataRecordDetail(DataRecordQueryRequest var1);

   String saveDataRecordDetail(DataRecordQueryRequest var1, List<String> var2, List<PubDataRecord> var3);

   List<Map<String, Object>> queryHiddenFieldBySearchSQL(DataRecordQueryRequest var1);

   String changeDataRecordStatus(DataRecordQueryRequest var1);

   String changeDataRecordDetailStatus(DataRecordQueryRequest var1);

   void deleteDataRecordDetail(DataRecordQueryRequest var1, String var2);

   String checkFieldFunction(Map<String, Object> var1);
}
