package com.huigou.uasp.form.application;

import com.huigou.uasp.form.domain.model.FormAttribute;
import com.huigou.uasp.form.domain.model.FormButtonVO;
import com.huigou.uasp.form.domain.model.PropertyDefines;
import com.huigou.uasp.form.domain.model.SafFormslist;
import com.huigou.uasp.form.domain.query.FormParameterQueryRequest;
import com.huigou.uasp.form.domain.query.SafFormsQueryRequest;
import java.util.List;
import java.util.Map;

public interface SafFormslistApplication {
   Map<String, Object> querySyfForms(SafFormsQueryRequest var1);

   SafFormslist loadSyfForms(String var1);

   void deleteSyfFormsByIds(List<String> var1);

   List<Map<String, Object>> queryTableProperty(SafFormsQueryRequest var1);

   List<Map<String, Object>> queryformButtonList(SafFormsQueryRequest var1);

   List<Map<String, Object>> queryDisplayListFields(SafFormsQueryRequest var1);

   List<Map<String, Object>> queryDisplaySearchFields(SafFormsQueryRequest var1);

   List<Map<String, Object>> queryFormParameter(FormParameterQueryRequest var1);

   String saveFormButtonLists(String var1, String var2, List<FormButtonVO> var3);

   String saveDisplayListFields(String var1, List<FormAttribute> var2);

   String saveSearchFields(String var1, List<FormAttribute> var2);

   String saveCustomButton(String var1, String var2, String var3);

   String deleteCustomButton(String var1, String var2, String var3);

   String saveOrUpdateForm(SafFormslist var1);

   Map<String, Object> queryAlternativeTableLists(SafFormsQueryRequest var1);

   List<Map<String, Object>> querySelectedTableLists(SafFormsQueryRequest var1);

   String saveSafForms(SafFormslist var1, List<Object> var2);

   Map<String, Object> produceMenuList(SafFormsQueryRequest var1);

   void needGenerateFile(SafFormsQueryRequest var1);

   String saveTableFieldAttributeList_old(String var1, String var2, List<PropertyDefines> var3);

   List<Map<String, Object>> queryExistTables(SafFormsQueryRequest var1);

   void deleteFormSettings(String var1, List<String> var2);

   Map<String, Object> queryFormFunctionOrProcduceContent(FormParameterQueryRequest var1);
}
