package com.huigou.uasp.form.domain.model;

import com.huigou.data.domain.listener.CreatorAndModifierListener;
import com.huigou.data.domain.model.AbstractEntity;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.EntityListeners;
import javax.persistence.Table;

@Entity
@Table(
   name = "SAF_FORM_BUTTONS"
)
@EntityListeners({CreatorAndModifierListener.class})
public class FormButtons extends AbstractEntity {
   private static final long serialVersionUID = 1L;
   @Column(
      name = "form_id",
      length = 32
   )
   private String formId;
   @Column(
      name = "button_name",
      length = 100
   )
   private String buttonName;
   @Column(
      name = "button_method_name",
      length = 100
   )
   private String buttonMethodName;
   @Column(
      name = "button_method_content",
      length = 1000
   )
   private String buttonMethodContent;
   @Column(
      name = "button_type",
      length = 10
   )
   private Integer buttonType;
   @Column(
      name = "button_key",
      length = 100
   )
   private String buttonKey;
   @Column(
      name = "sequence",
      length = 10
   )
   private Integer sequence;
   @Column(
      name = "remark",
      length = 1000
   )
   private String remark;
   @Column(
      name = "status",
      length = 22
   )
   private Integer status;

   public String getFormId() {
      return this.formId;
   }

   public void setFormId(String formId) {
      this.formId = formId;
   }

   public String getButtonName() {
      return this.buttonName;
   }

   public void setButtonName(String buttonName) {
      this.buttonName = buttonName;
   }

   public String getButtonMethodName() {
      return this.buttonMethodName;
   }

   public void setButtonMethodName(String buttonMethodName) {
      this.buttonMethodName = buttonMethodName;
   }

   public String getButtonMethodContent() {
      return this.buttonMethodContent;
   }

   public void setButtonMethodContent(String buttonMethodContent) {
      this.buttonMethodContent = buttonMethodContent;
   }

   public Integer getButtonType() {
      return this.buttonType;
   }

   public void setButtonType(Integer buttonType) {
      this.buttonType = buttonType;
   }

   public String getButtonKey() {
      return this.buttonKey;
   }

   public void setButtonKey(String buttonKey) {
      this.buttonKey = buttonKey;
   }

   public Integer getSequence() {
      return this.sequence;
   }

   public void setSequence(Integer sequence) {
      this.sequence = sequence;
   }

   public String getRemark() {
      return this.remark;
   }

   public void setRemark(String remark) {
      this.remark = remark;
   }

   public Integer getStatus() {
      return this.status;
   }

   public void setStatus(Integer status) {
      this.status = status;
   }
}
