package com.huigou.uasp.form.pojo;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.huigou.uasp.form.model.ueform.field.FormField;
import com.huigou.uasp.util.Utils;
import java.util.ArrayList;
import java.util.Date;
import java.util.Iterator;
import java.util.List;

public class UeForm_old {
   private Integer form_id;
   private String form_name;
   private String table_name;
   private String template;
   private String html;
   private String data;
   private String parse;
   private Integer fields;
   private Date crtime;
   private Date modify_time;
   private List<FormField> form_fields;

   public Integer getForm_id() {
      return this.form_id;
   }

   public void setForm_id(Integer form_id) {
      this.form_id = form_id;
   }

   public String getForm_name() {
      return this.form_name;
   }

   public void setForm_name(String form_name) {
      this.form_name = form_name;
   }

   public String getTable_name() {
      return this.table_name;
   }

   public void setTable_name(String table_name) {
      this.table_name = table_name;
   }

   public String getTemplate() {
      return this.template;
   }

   public void setTemplate(String template) {
      this.template = template;
   }

   public String getParse() {
      return this.parse;
   }

   public void setParse(String parse) {
      this.parse = parse;
   }

   public Integer getFields() {
      return this.fields;
   }

   public void setFields(Integer fields) {
      this.fields = fields;
   }

   public Date getCrtime() {
      return this.crtime;
   }

   public void setCrtime(Date crtime) {
      this.crtime = crtime;
   }

   public Date getModify_time() {
      return this.modify_time;
   }

   public void setModify_time(Date modify_time) {
      this.modify_time = modify_time;
   }

   public String getHtml() {
      if (this.html.contains("{|-")) {
         this.html = this.html.replace("{|-", "").replace("-|}", "");
      }

      return this.html;
   }

   public void setHtml(String html) {
      this.html = html;
   }

   public static UeForm_old praseTemplate(String template) {
      UeForm_old form = new UeForm_old();
      String preg = "(\\|-<span(((?!<span).)*leipiplugins=\"(radios|checkboxs|select)\".*?)>(.*?)<\\/span>-\\||<(img|input|textarea|select).*?(<\\/select>|<\\/textarea>|\\/>))";
      String _html = template.replace("{|-", "").replace("-|}", "");
      String _parse = _html;
      template = template.replace("<a class=\"btn btn-link\">", "");
      template = template.replace("</a>", "");
      List<FormField> fs = new ArrayList();
      String[] ms = Utils.maches(template, preg);
      String[] var10 = ms;
      int var9 = ms.length;

      for(int var8 = 0; var8 < var9; ++var8) {
         String m = var10[var8];
         FormField ff = FormField.parseText(m);
         fs.add(ff);
         String _f_parse;
         if (ff.getLeipiplugins().equals("listctrl") || ff.getLeipiplugins().equals("select") || ff.getLeipiplugins().equals("datepicker") || ff.getLeipiplugins().equals("radios") || ff.getLeipiplugins().equals("checkboxs")) {
            _f_parse = ff.getEdit(ff.getValue());
            _html = _html.replace(ff.getContent(), _f_parse);
         }

         _f_parse = ff.getView(ff.getValue());
         if (_f_parse != null) {
            _parse = _parse.replace(ff.getContent(), _f_parse);
         }
      }

      form.setForm_fields(fs);
      form.setData(JSON.toJSONString(fs));
      form.setFields(fs.size());
      form.setParse(_parse);
      form.setTemplate(template);
      form.setHtml(_html);
      return form;
   }

   public String getEdit(String value) {
      String _temp = this.getTemplate().replace("{|-", "").replace("-|}", "");
      if (value == null) {
         return _temp;
      } else {
         JSONObject jsonObjet = JSON.parseObject(value);
         List<FormField> ffs = this.getForm_fields();

         FormField ff;
         String ff_view;
         for(Iterator var6 = ffs.iterator(); var6.hasNext(); _temp = _temp.replace(ff.getContent(), ff_view)) {
            ff = (FormField)var6.next();
            String ff_value = jsonObjet.getString(ff.getName());
            ff_view = ff.getEdit(ff_value);
         }

         return _temp;
      }
   }

   public String getView(String value) {
      if (value == null) {
         return this.getParse();
      } else {
         String _temp = this.getTemplate().replace("{|-", "").replace("-|}", "");
         JSONObject jsonObjet = JSON.parseObject(value);
         List<FormField> ffs = this.getForm_fields();

         FormField ff;
         String ff_view;
         for(Iterator var6 = ffs.iterator(); var6.hasNext(); _temp = _temp.replace(ff.getContent(), ff_view)) {
            ff = (FormField)var6.next();
            String ff_value = jsonObjet.getString(ff.getName());
            ff_view = ff.getView(ff_value);
         }

         return _temp;
      }
   }

   public String getData() {
      return this.data;
   }

   public void setData(String data) {
      this.data = data;
   }

   public void setForm_fields(List<FormField> form_fields) {
      this.form_fields = form_fields;
   }

   public List<FormField> getForm_fields() {
      if (this.data != null && this.form_fields == null) {
         List<FormField> list = JSON.parseArray(this.data, FormField.class);
         this.form_fields = new ArrayList();
         Iterator var3 = list.iterator();

         while(var3.hasNext()) {
            FormField ff = (FormField)var3.next();
            ff = FormField.parseText(ff.getContent());
            this.form_fields.add(ff);
         }
      }

      return this.form_fields;
   }
}
