package com.huigou.uasp.form.repository;

import com.huigou.uasp.form.domain.model.FormButtons;
import java.util.List;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;

public interface FormButtonsRepository extends JpaRepository<FormButtons, String> {
   List<FormButtons> findByFormId(String var1);

   @Modifying
   @Query("delete from FormButtons u WHERE u.formId=?1 ")
   void deleteFormButtons(String var1);

   @Modifying
   @Query("delete from FormButtons u WHERE u.formId=?1 and u.buttonKey=?2")
   void deleteFormButtonsByKey(String var1, String var2);
}
