package com.huigou.uasp.form.repository;

import com.huigou.uasp.form.domain.model.FormParameter;
import java.util.List;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;

public interface FormParameterRepository extends JpaRepository<FormParameter, String> {
   List<FormParameter> findByFormNo(String var1, int var2);

   @Modifying
   @Query("delete from FormParameter u WHERE u.formNo=?1 and u.parmType=?2")
   void deleteFormParameter(String var1, int var2);
}
