package com.huigou.uasp.meta.repository;

import com.huigou.uasp.meta.domain.model.MetaData;
import java.util.List;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;

public interface MetaDataRepository extends JpaRepository<MetaData, String> {
   List<MetaData> findById(String var1);

   MetaData findByFieldCode(String var1);

   MetaData findByClassifyIdAndFieldCode(String var1, String var2);

   List<MetaData> findByClassifyIdIn(List<String> var1);

   @Query("select t from MetaData t where t.status=1 and t.classifyId = ?1")
   List<MetaData> findByClassifyId(String var1);

   @Query("select t from MetaData t where t.status=1 and t.classifyId = ?1 and t.fieldName = ?2 ")
   MetaData findByClassifyIdAndfAndFieldName(String var1, String var2);
}
