package com.huigou.uasp.util;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.io.PrintStream;
import java.net.HttpURLConnection;
import java.net.URL;

public class RestUtil {
   public String getMethod(String url) throws IOException {
      URL restURL = new URL(url);
      HttpURLConnection conn = (HttpURLConnection)restURL.openConnection();
      conn.setRequestMethod("GET");
      conn.setRequestProperty("Accept", "application/json");
      BufferedReader br = new BufferedReader(new InputStreamReader(conn.getInputStream()));

      String line;
      String backStr;
      for(backStr = ""; (line = br.readLine()) != null; backStr = backStr + line) {
      }

      br.close();
      return backStr;
   }

   public String postMethod(String url, String query) throws IOException {
      URL restURL = new URL(url);
      String backStr = "";
      BufferedReader br = null;

      try {
         HttpURLConnection conn = (HttpURLConnection)restURL.openConnection();
         conn.setRequestMethod("POST");
         conn.setRequestProperty("Content-Type", "application/json");
         conn.setDoOutput(true);
         PrintStream ps = new PrintStream(conn.getOutputStream());
         ps.print(query);
         ps.close();

         String line;
         for(br = new BufferedReader(new InputStreamReader(conn.getInputStream())); (line = br.readLine()) != null; backStr = backStr + line) {
         }

         System.out.println("res:==" + backStr);
         br.close();
      } catch (Exception var12) {
         backStr = "Failure:" + var12.getMessage();
         var12.printStackTrace();
      } finally {
         if (br != null) {
            br.close();
         }

      }

      return backStr;
   }

   public static void main(String[] args) {
      RestUtil restUtil = new RestUtil();

      try {
         String res = restUtil.getMethod("http://www.baidu.com");
         System.out.println("res get===" + res);
         String url = "";
         String query = "";
         res = restUtil.postMethod(url, query);
         System.out.println("res= post==" + res);
      } catch (Exception var5) {
         System.out.println(var5.getMessage());
      }

   }
}
